CustomSafeConstructor (Grails 6.0.0)

Package: org.grails.core.cfg

## [Groovy] Class CustomSafeConstructor

- org.grails.core.cfg.CustomSafeConstructor

-     @org.gradle.api.tasks.Internal
      class CustomSafeConstructor
      extends org.yaml.snakeyaml.constructor.SafeConstructor

  Yaml constructor to create containers with sensible default array bounds.

  Authors:
    James Kleeh
  Since:
    6.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.yaml.snakeyaml.constructor.SafeConstructor` | `undefinedConstructor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CustomSafeConstructor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.List<java.lang.Object>` | `newList(org.yaml.snakeyaml.nodes.SequenceNode node)`
    `` | `protected java.util.Map<java.lang.Object, java.lang.Object>` | `newMap(org.yaml.snakeyaml.nodes.MappingNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.yaml.snakeyaml.constructor.SafeConstructor` | `org.yaml.snakeyaml.constructor.SafeConstructor#getData(), org.yaml.snakeyaml.constructor.SafeConstructor#setAllowDuplicateKeys(boolean), org.yaml.snakeyaml.constructor.SafeConstructor#setComposer(org.yaml.snakeyaml.composer.Composer), org.yaml.snakeyaml.constructor.SafeConstructor#checkData(), org.yaml.snakeyaml.constructor.SafeConstructor#getSingleData(java.lang.Class), org.yaml.snakeyaml.constructor.SafeConstructor#setPropertyUtils(org.yaml.snakeyaml.introspector.PropertyUtils), org.yaml.snakeyaml.constructor.SafeConstructor#getPropertyUtils(), org.yaml.snakeyaml.constructor.SafeConstructor#addTypeDescription(org.yaml.snakeyaml.TypeDescription), org.yaml.snakeyaml.constructor.SafeConstructor#isExplicitPropertyUtils(), org.yaml.snakeyaml.constructor.SafeConstructor#isWrappedToRootException(), org.yaml.snakeyaml.constructor.SafeConstructor#setWrappedToRootException(boolean), org.yaml.snakeyaml.constructor.SafeConstructor#isEnumCaseSensitive(), org.yaml.snakeyaml.constructor.SafeConstructor#setEnumCaseSensitive(boolean), org.yaml.snakeyaml.constructor.SafeConstructor#getLoadingConfig(), org.yaml.snakeyaml.constructor.SafeConstructor#isAllowDuplicateKeys(), org.yaml.snakeyaml.constructor.SafeConstructor#wait(long), org.yaml.snakeyaml.constructor.SafeConstructor#wait(long, int), org.yaml.snakeyaml.constructor.SafeConstructor#wait(), org.yaml.snakeyaml.constructor.SafeConstructor#equals(java.lang.Object), org.yaml.snakeyaml.constructor.SafeConstructor#toString(), org.yaml.snakeyaml.constructor.SafeConstructor#hashCode(), org.yaml.snakeyaml.constructor.SafeConstructor#getClass(), org.yaml.snakeyaml.constructor.SafeConstructor#notify(), org.yaml.snakeyaml.constructor.SafeConstructor#notifyAll()`

- - ### Constructor Detail

    - #### CustomSafeConstructor()

  - ### Method Detail

    - #### @java.lang.Override protected java.util.List<java.lang.Object> newList(org.yaml.snakeyaml.nodes.SequenceNode node)

    - #### @java.lang.Override protected java.util.Map<java.lang.Object, java.lang.Object> newMap(org.yaml.snakeyaml.nodes.MappingNode node)